Waiting for engine...
Skip to main content

Boomi Data Hub Repository API Reference (1.0.0) - Records

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Records

Manage the full lifecycle of golden records. Retrieve, search, end-date, restore, and purge golden records, including their metadata, history, and contributing source links. Use this API when you need direct stewardship or operational control over golden records.

Match Entities

The Match Entities operation sends a batch of entities from a contributing source, applies match rules, and returns match results for each entity in the batch. This operation helps you test how match rules apply to entities coming from a source so you can see potential duplicate records and make match rule adjustments.

Additional Information: The entities are represented in XML format. The batch is not staged - you can use the Update Golden Records operation to stage a batch of entities.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

ambiguousMatchSampleSize
any

Returns a specified number of sample ambiguous matches when a match fails due to too many potential matches. The response includes matched entities, match rounds, and fuzzy scores to help diagnose and refine match rules. Information returned also involves information about the golden record for the match. If fuzzy rules are used and more than 1,000 candidates are evaluated, up to 200 samples can be returned.

Request Body schema: application/xml
required

In the request body, wrap the entities in a <batch> element. Specify the contributing source by its ID in the <batch> element's src attribute. In each entity, wrap the source record ID in an <id> element.

string (Response)

Responses

Response Schema: application/xml
matchResults
Array of objects (MatchResult)

Request samples

Content type
application/xml
<batch src="SF">
     <contact>
       <id>1</id>
       <name>bobby</name>
       <city>berwyn</city>
       <phones>
         <phone>
           <number>311 555-1234</number>
           <type>home</type>
         </phone>
         <phone>
           <number>311 555-4321</number>
           <type>mobile</type>
         </phone>
       </phones>
       <email>bob@gmail.com</email>
       <spouse>1001</spouse>
     </contact>
     <contact>
       <id>2</id>
       <name>mike</name>
       <city>chesterbrook</city>
       <phones>
         <phone>
           <number>311 555-2345</number>
           <type>home</type>
         </phone>
         <phone>
           <number>311 555-5432</number>
           <type>mobile</type>
         </phone>
       </phones>
       <email>mike@gmail.com</email>
       <spouse>1002</spouse>
     </contact>
</batch>

Response samples

Content type
application/xml
Example

For a result with status MATCH_REFERENCE_FAILURE, it omits the element. The element is instead followed by , which contains details about the match reference failure.

<MatchEntitiesResponse>
  <MatchResult status="MATCH_REFERENCE_FAILURE">
    <entity>
      <contact>
        <id>1</id>
        <name>bobby</name>
        <city>berwyn</city>
        <phones>
          <phone>
            <number>311 555-1234</number>
            <type>home</type>
          </phone>
          <phone>
            <number>311 555-4321</number>
            <type>mobile</type>
          </phone>
        </phones>
        <email>bob@gmail.com</email>
        <spouse>1313</spouse>
      </contact>
    </entity>
    <message>Unable to match on {spouse} field value '1313' because it does not resolve to a golden record.</message>
  </MatchResult>
</MatchEntitiesResponse>

Query End-dated Golden Records

The Query End-dated Golden Records operation sends a query of end-dated golden records in a specific universe (domain) under the authenticated account. This operation does not support filtering. Querying end-dated records lets you review the records marked for deletion before you permanently delete them since you cannot restore a purged record.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

limit
any
Example: limit=200

Maximum number of query results. 200 is the maximum meaningful value and the default.

offsetToken
any
Example: offsetToken=MjAw

Used for paging. Refer to the offsetToken returned from a previous Query End-dated Golden Records request.

Responses

Response Schema: application/xml
Array of objects (Record)
resultCount
integer <int32>
totalCount
integer <int64>
offsetToken
string

Response samples

Content type
application/xml
<RecordQueryResponse resultCount="5" offsetToken="MjAw" totalCount="1000">
   <Record recordId="0fc4eb6d-f12c-4cdd-ba37-5475caed4887">
      <Fields>
         <fields>Dynamic field content - structure varies by universe schema</fields>
      </Fields>
   </Record>
   <Record recordId="0fc4eb6d-f12c-4cdd-ba37-5475caed4887">
      <Fields>
         <fields>Dynamic field content - structure varies by universe schema</fields>
      </Fields>
   </Record>
</RecordQueryResponse>

Purge Single Golden Record

The Purge Single Golden Record operation purges (permanently deletes) a specified end-dated golden record. End-dated records are records marked as inactive for review before they are permanently deleted since you can restore an end-dated record to active status.

Additional Information: Note: You can implement requests for this operation in Integration processes using the HTTP Client connector, as demonstrated by example 1 in the sample process Hub: Purge Golden Record, which you can install in your account from the process library in Integration.

Warning: This operation permanently deletes the record and cannot be undone. Only end-dated records can be purged.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the Purge Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_DELETE)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
Array of objects (Result)
Array
recordId
string
success
boolean
message
string

Response samples

Content type
application/xml
<RecordPurgeResponse>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
</RecordPurgeResponse>

Purge Multiple Golden Records

The Purge Multiple Golden Records operation purges (permanently deletes) 1–100 specified end-dated golden records. End-dated records are records marked as inactive for review before they are permanently deleted since you can restore an end-dated record to active status.

Additional Information: Warning: This operation permanently deletes multiple records and cannot be undone. Only end-dated records can be purged. Limit: Maximum of 100 records can be purged in a single request.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship Management OR
  • MDM - Stewardship with the Purge Records Hub role entitlement for the queried repository

Without Advanced Security:

  • MDM - Stewardship Management OR
  • MDM - Stewardship
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_DELETE)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Request Body schema: application/xml
required

In the request body, the root element is <RecordPurgeRequest>. Within that element, each <recordId> element specifies an end-dated golden record to purge by its ID.

recordId
Array of strings

Responses

Response Schema: application/xml
Array of objects (Result)
Array
recordId
string
success
boolean
message
string

Request samples

Content type
application/xml
<RecordPurgeRequest>
   <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
   <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
</RecordPurgeRequest>

Response samples

Content type
application/xml
<RecordPurgeResponse>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
</RecordPurgeResponse>

Get Golden Record

The Get Golden Record operation retrieves the entity corresponding to a specified golden record in a specified universe (domain) under the authenticated account.

Additional Information: Note: You can implement requests for this operation in processes using the Boomi Data Hub connector's get golden record operation. You can also implement requests using the HTTP Client connector, as demonstrated by example 1 in the sample process Hub: Get Golden Record Information, which you can install in your account from the process library in Integration.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

includeReferenceTitle
any
Example: includeReferenceTitle=false

Record title for the reference record. Boolean. True adds the recordTitle attribute for the reference record in the reference field. The recordTitle attribute shows for the reference fields when the reference value is resolved and the reference universe has the title format defined.

Responses

Response Schema: application/xml
createddate
string

Creation timestamp of the record

grid
string

Golden record ID (UUID)

updateddate
string

Last update timestamp of the record

source
string

Source system identifier

property name*
additional property
object

Record field data - varies based on universe schema

Response samples

Content type
application/xml
<?xml version="1.0" encoding="UTF-8"?>
<customer createddate="2025-07-22T18:00:56.000+0000" grid="3fccb7ed-7b36-4a2b-bf96-7d6ed220e2f8" updateddate="2025-07-22T18:00:56.000+0000" source="CRM_SYSTEM">
    <id>3fccb7ed-7b36-4a2b-bf96-7d6ed220e2f8</id>
    <name>John Doe</name>
    <email>john.doe@example.com</email>
</customer>

Get Golden Record's Metadata

The Get Golden Record's Metadata operation retrieves the metadata for a golden record in a universe (domain) under the authenticated account. The metadata includes the record ID, end date (if applicable), and source link information, including the source name, entity ID, and link date.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
object (Links)
recordId
string
endDate
string

Response samples

Content type
application/xml
<Record recordId="0fc4eb6d-f12c-4cdd-ba37-5475caed4887" endDate="2023-01-01T00:00:00Z">
   <links>
      <link establishedDate="2023-01-01T00:00:00Z" entityId="12345" source="CRM_SYSTEM"></link>
      <link establishedDate="2023-01-01T00:00:00Z" entityId="12345" source="CRM_SYSTEM"></link>
   </links>
</Record>

Query Golden Records

The Query Golden Records operation sends a query of golden records in a specified universe (domain) under the authenticated account. The operation can retrieve active golden records only.

Performance Enhancement: You can activate Accelerated Query when you have 100,000 or more golden records in a deployed model (universe). This feature improves query performance significantly for large datasets.

Additional Information: Note: You can implement requests for this operation in processes using the Boomi Data Hub connector's query golden records operation.

For information on activating Accelerated Query, see: https://help.boomi.com/docs/Atomsphere/Master%20Data%20Hub/Stewardship/hub-accelerated_query

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

includeReferenceTitle
any
Example: includeReferenceTitle=false

Record title for the reference record. Boolean. True adds the recordTitle attribute for the reference record in the reference field. The recordTitle attribute shows for the reference fields when the reference value is resolved and the reference universe has the title format defined.

Request Body schema: application/xml
required

The body of the request has the following structure:

RecordQueryRequest attributes:

  • limit (optional) — Maximum number of golden records to return. The user might, depending on its configuration, apply a more restrictive limit than that requested. The maximum record limit for repositories hosted in Hub Clouds is typically 200.

  • includeSourceLinks (optional) — If set to true, requests the return of golden record metadata in addition to data. The returned metadata includes the entity ID, name, and established date of each source linked to the record.

  • offsetToken (optional) — Use for paging. Refer to the offsetToken returned from a previous Query Golden Records request.

view (optional) — Specifies one or more fields to return. Each such field is represented by a <fieldId> element, which contains the field ID. If you omit view, it returns all fields that contain values.

sort (optional) — Specifies which fields or metadata to sort in the returned golden records. The order of the <sortField> elements determines the relative sorting priority. In each <sortField> element: The <fieldId> element specifies either a field ID for sorting by field value or one of: @createdDate (sorting by date and time of golden record creation), @updatedDate (sorting by date and time of last golden record update). The <direction> element specifies the sort order, either ASC for ascending or DESC for descending. It is not possible to sort by the value of reference, collection (repeatable), or collection item fields. Changing the sort criteria and attempting to use an offset token from a previous sort will produce unpredictable results. If you omit sort, it sorts golden records by their creation date in ascending order.

filter — Sets query filter parameters and the query operator. The optional op attribute specifies the query operator: AND (all criteria) or OR (any criterion). Default is AND. The order in which you specify filter parameters is insignificant.

  • createdDate — Filter by date and time of golden record creation. <from> and <to> set the range's starting and ending date and time. Format for both: yyyy-MM-dd'T'HH:mm:ss'Z' (e.g., 2013-03-01T15:32:00Z). Omitting from filters golden records created before the to date; omitting to filters golden records created after the from date.

  • updatedDate — Filter by date and time of last golden record update. Same <from> and <to> format and omission rules as createdDate.

  • recordIds — Filter by 1–100 golden record IDs, each specified by <recordId>. If set, other filters in the request are disregarded.

  • fieldValue — Filter by golden record field value. Multiple fieldValue sections allowed. Filter "Op" attribute: AND or OR. <fieldId> specifies the field ID. <operator> specifies the operator (valid values depend on field type). All types: EQUALS. All except Reference and collection (repeatable)/collection item: NOT_EQUALS, IS_NOT_NULL, IS_NULL. Text and Long Text only: CONTAINS, ENDS_WITH, STARTS_WITH. Integer and Float only: GREATER_THAN, GREATER_THAN_EQUAL, LESS_THAN, LESS_THAN_EQUAL. Date, Date and Time, Time only: BETWEEN. Enumeration only: IS_INVALID. A <value> element specifies a value. One value per operator except: BETWEEN requires two values (range); EQUALS with Enumeration allows multiple values; IS_INVALID, IS_NOT_NULL, IS_NULL do not use value. Boolean values: true, false.

  • tags — Filter by one or more tags, each specified by <tagName>. A golden record having any one of the specified tags meets the tag criteria.

  • creatingSourceId — Filter by creating source specified by its source ID.

  • sourceLink — Filter by presence or absence of links to a source. <sourceId> specifies the source by ID. <linkType> is LINKED (presence) or NOT_LINKED (absence). Note: If the universe has one or more attached sources configured to allow multiple links to golden records, processing time for requests using the sourceLink filter may be significantly longer.

  • unresolvedReference — Filter by presence of unresolved reference field data. <fieldId> specifies the reference field by ID. <sourceId> is a source ID or @all (limits results to golden records for which all source contributions are unresolved). Note: A field's ID is on the model page's Fields tab in Boomi Data Hub; a source's ID is on the Sources page in Boomi Data Hub.

object (RecordQueryView)
object (RecordQuerySort)
object (RecordQueryFilter)
offsetToken
string
limit
integer <int32>
includeSourceLinks
boolean

Responses

Response Schema: application/xml
Array of objects (Record)
resultCount
integer <int32>
totalCount
integer <int64>
offsetToken
string

Request samples

Content type
application/xml
<RecordQueryRequest offsetToken="MjAw" limit="100" includeSourceLinks="true">
   <view>
      <fieldId>FIRST_NAME</fieldId>
   </view>
   <sort>
      <sortField>
         <fieldId>FIRST_NAME</fieldId>
         <direction>ASC</direction>
      </sortField>
   </sort>
   <filter op="AND">
      <createdDate>
         <from>2023-01-01T00:00:00Z</from>
         <to>2023-12-31T23:59:59Z</to>
      </createdDate>
      <updatedDate>
         <from>2023-01-01T00:00:00Z</from>
         <to>2023-12-31T23:59:59Z</to>
      </updatedDate>
      <fieldValue>
         <fieldId>FIRST_NAME</fieldId>
         <operator>EQUALS</operator>
         <value>Sample Value</value>
      </fieldValue>
      <sourceLink>
         <sourceId>SFDC</sourceId>
         <linkType>LINKED</linkType>
      </sourceLink>
      <creatingSourceId>SFDC</creatingSourceId>
      <tags>
         <tagName>VIP_CUSTOMER</tagName>
      </tags>
      <unresolvedReference>
         <sourceId>SFDC</sourceId>
         <fieldId>FIRST_NAME</fieldId>
      </unresolvedReference>
      <recordIds>
         <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      </recordIds>
      <queryString>FIRST_NAME:John AND STATUS:ACTIVE</queryString>
   </filter>
</RecordQueryRequest>

Response samples

Content type
application/xml
<RecordQueryResponse resultCount="5" offsetToken="MjAw" totalCount="1000">
   <Record recordId="0fc4eb6d-f12c-4cdd-ba37-5475caed4887" recordTitle="Customer Record" createdDate="2023-01-01T00:00:00Z" updatedDate="2023-01-01T00:00:00Z">
      <Fields>
         <fields>Dynamic field content - structure varies by universe schema</fields>
      </Fields>
      <links>
         <link establishedDate="2023-01-01T00:00:00Z" entityId="12345" source="CRM_SYSTEM"></link>
      </links>
   </Record>
</RecordQueryResponse>

End-date Single Golden Record

The End-date Single Golden Record operation allows you to set a specific golden record as inactive. By end-dating a record, you can mark it for deletion and review it before permanently deleting it since you cannot restore a purged record.

Additional Information: Note: When you end-date a record that references another record, if that referenced record is also end-dated, restoring the reference will not make it visible in the end-dated record view. This is because end-dated records are inactive, so any restored references will not show up in those end-dated records.

Note: You can implement requests for this operation in processes using the HTTP Client connector, as demonstrated by example 1 in the sample process Hub: End-date Golden Record, which you can install in your account from the process library in Integration.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the End-date Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_ENDDATE)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
Array of objects (Result)
Array
recordId
string
success
boolean
message
string

Response samples

Content type
application/xml
<RecordEndDateResponse>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
</RecordEndDateResponse>

End-date Multiple Golden Records

The End-date Multiple Golden Records operation allows you to set specific golden records as inactive. By end-dating records, you can mark them for deletion and review them before permanently deleting them since you cannot restore a purged record.

Additional Information: Note: When you end-date a record that references another record, if that referenced record is also end-dated, restoring the reference will not make it visible in the end-dated record view. This is because end-dated records are inactive, so any restored references will not show up in those end-dated records.

Note: You can implement requests for this operation in processes using the HTTP Client connector, as demonstrated by example 1 in the sample process Hub: End-date Golden Record, which you can install in your account from the process library in Integration.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the End-date Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_ENDDATE)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Request Body schema: application/xml
required

Requests for this operation must specify golden records to end-date either by their IDs or by applying a filter.

End-date by Record IDs (Synchronous): If you specify golden records by their IDs, processing is synchronous. In the request body, the root element is <RecordEndDateRequest>. Within that element, each <recordId> (optional) — a maximum of 100 — specifies a golden record to end-date by its ID.

End-date by Filter (Asynchronous): If you specify golden records by applying a filter, it creates a bulk processing request — processing is asynchronous.

filter — Sets query filter parameters and the query operator. The optional op attribute specifies the query operator: AND (all criteria) or OR (any criterion). Default is AND. The order in which you specify filter parameters is insignificant.

  • createdDate — Filter by date and time of golden record creation. <from> and <to> set the range's starting and ending date and time. Format for both: yyyy-MM-dd'T'HH:mm:ss'Z' (e.g., 2013-03-01T15:32:00Z). Omitting from filters golden records created before the to date; omitting to filters golden records created after the from date.

  • updatedDate — Filter by date and time of last golden record update. Same <from> and <to> format and omission rules as createdDate.

  • fieldValue — Filter by golden record field value. <fieldId> specifies the field ID. <operator> specifies the operator (valid values depend on field type). All types: EQUALS. All except Reference and collection (repeatable)/collection item: NOT_EQUALS, IS_NOT_NULL, IS_NULL. Text and Long Text only: CONTAINS, ENDS_WITH, STARTS_WITH. Integer and Float only: GREATER_THAN, GREATER_THAN_EQUAL, LESS_THAN, LESS_THAN_EQUAL. Date, Date and Time, Time only: BETWEEN. Enumeration only: IS_INVALID. A <value> element specifies a value. One value per operator except: BETWEEN requires two values (Date and Time: yyyy-MM-dd'T'HH:mm:ss'Z'; Date: yyyy-MM-dd; Time: HH:mm:ss); EQUALS with Enumeration allows multiple values; IS_INVALID, IS_NOT_NULL, IS_NULL do not use value. Boolean values: true, false.

  • tags — Filter by one or more tags, each specified by <tagName>. A golden record having any one of the specified tags meets the tag criteria.

  • creatingSourceId — Filter by creating source specified by its source ID.

  • sourceLink — Filter by presence or absence of links to a source. <sourceId> specifies the source by ID. <linkType> is LINKED (presence) or NOT_LINKED (absence). Note: If the universe has one or more attached sources configured to allow multiple links to golden records, processing time for requests using the sourceLink filter may be significantly longer.

  • unresolvedReference — Filter by presence of unresolved reference field data. <fieldId> specifies the reference field by ID. <sourceId> is a source ID or @all (limits results to golden records for which all source contributions are unresolved). Note: A field's ID is on the model page's Fields tab in Boomi Data Hub; a source's ID is on the Sources page in Boomi Data Hub.

Note: If a request includes both <recordId> elements and <filter>, it disregards <filter>.

recordId
Array of strings
object (RecordQueryFilter)

Responses

Response Schema: application/xml
Array of objects (Result)
Array
recordId
string
success
boolean
message
string

Request samples

Content type
application/xml
Example

Specify golden records by applying a filter. Creates a bulk processing request - processing is asynchronous.

<RecordEndDateRequest>
   <filter op="AND">
      <createdDate>
         <from>2023-01-01T00:00:00Z</from>
         <to>2023-12-31T23:59:59Z</to>
      </createdDate>
      <updatedDate>
         <from>2023-01-01T00:00:00Z</from>
         <to>2023-12-31T23:59:59Z</to>
      </updatedDate>
      <fieldValue>
         <fieldId>FIRST_NAME</fieldId>
         <operator>EQUALS</operator>
         <value>Sample Value</value>
         <value>Sample Value</value>
      </fieldValue>
      <fieldValue>
         <fieldId>FIRST_NAME</fieldId>
         <operator>EQUALS</operator>
         <value>Sample Value</value>
         <value>Sample Value</value>
      </fieldValue>
      <sourceLink>
         <sourceId>SFDC</sourceId>
         <linkType>LINKED</linkType>
      </sourceLink>
      <creatingSourceId>SFDC</creatingSourceId>
      <tags>
         <tagName>VIP_CUSTOMER</tagName>
         <tagName>VIP_CUSTOMER</tagName>
      </tags>
      <unresolvedReference>
         <sourceId>SFDC</sourceId>
         <fieldId>FIRST_NAME</fieldId>
      </unresolvedReference>
   </filter>
</RecordEndDateRequest>

Response samples

Content type
application/xml
<RecordEndDateResponse>
   <result>
      <recordId>0fc4eb6d-f12c-4cdd-ba37-5475caed4887</recordId>
      <success>true</success>
      <message>Message element will appear only if the success is false</message>
   </result>
</RecordEndDateResponse>

Restore End-dated Golden Record for Source Entity

The Restore End-dated Golden Record for Source Entity operation restores the end-dated golden record linked to a source entity in a universe (domain) under the authenticated account. Restoring the record marks it as active again, removing the end-date status. End-dated records are considered inactive with the intention to delete them permanently through the purge operation.

If an entity is quarantined because it refers to an end-dated golden record, Boomi Data Hub automatically resubmits the quarantine entity after you restore the record. Resubmitting automatically helps you easily resolve Reference Unknown and Matching Reference Unknown errors.

Additional Information: Note: When you end-date a record that references another record, if that referenced record is also end-dated, restoring the reference will not make it visible in the end-dated record view. This is because end-dated records are inactive, so any restored references will not show up in those end-dated records.

Note: You can implement requests for this operation in processes using the HTTP Client connector, as demonstrated by example 1 in the sample process Hub: Restore End-dated Golden Record, which you can install in your account from the process library in Integration.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship Management OR
  • MDM - Stewardship with the Restore Records Hub role entitlement for the queried repository

Without Advanced Security:

  • MDM - Stewardship Management OR
  • MDM - Stewardship
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_RESTORE)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

sourceId
any
Example: CRM_SYSTEM

Source ID. The source ID is listed on the Sources page in the user interface.

entityId
any
Example: CUST_12345

ID of the source entity. Must be URL encoded if it contains special characters.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response samples

Content type
application/xml
<?xml version="1.0" encoding="UTF-8"?>
<error>
  <message>Invalid request parameters or format</message>
</error>

Get Golden Record History

The Get Golden Record History operation retrieves the version history of a golden record in a universe (domain) under the authenticated account. The historical data about the golden record versions includes the version ID, creation date/time, contributing source, and transaction ID.

Additional Information: ${api.getRecordHistory.notes}

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

latestFirst
any
Example: latestFirst=false

Set to true to request versions in descending order, false (default) for ascending order

limit
any
Example: limit=50

Maximum number of versions to return per page. Boomi Data Hub enforces a maximum of 200 versions per page regardless of the limit value.

offsetToken
any
Example: offsetToken=MjAw

Corresponds to the offsetToken value returned from a previous Get Golden Record History request

includeReferenceTitle
any
Example: includeReferenceTitle=false

Record title for the reference record. Boolean. True adds the recordTitle attribute for the reference record in the reference field. The recordTitle attribute shows for the reference fields when the reference value is resolved and the reference universe has the title format defined.

Responses

Response Schema: application/xml
grid
string

Golden record ID (UUID)

totalCount
integer <int64>
resultCount
integer <int32>
offsetToken
string

Returned only if there are additional versions to retrieve. Use this token in a subsequent Get Golden Record History request to get the next page of versions.

Array of objects

Response samples

Content type
application/xml
<RecordHistoryResponse resultCount="5" offsetToken="MjAw" grid="recordid" totalCount="1000">
   <contact enddate="02-08-2015T14:17:06.000-0400" grid="d5742c16-5318-4ba7-8815-3267a7a55358" source="SF" startdate="02-07-2015T08:36:37.000-0400" enddatesource="SF" version="801" transactionId="12345678-9abc-def0-1234-56789abcdef0">
      <id>d5742c16-5318-4ba7-8815-3267a7a55358</id>
      <name>bob</name>
      <city>malvern</city>
      <email>bob@gmail.com</email>
   </contact>
   <contact enddate="2023-01-01T00:00:00Z1" grid="d5742c16-5318-4ba7-8815-3267a7a55358" source="SF" startdate="03-14-2016T14:17:07.000-0400" enddatesource="2023-01-01T00:00:00Z1" version="823" transactionId="01234567-89ab-cdef-0123-456789abcdef">
      <id>d5742c16-5318-4ba7-8815-3267a7a55358</id>
      <name>bob</name>
      <city>berwyn</city>
      <email>bob@gmail.com</email>
   </contact>
</RecordHistoryResponse>

Unlink Golden Record From Source

The Unlink Golden Record From Source operation unlinks a golden record from a specific source or source entity in a universe (domain) under the authenticated account. Suppose you do not specify a source entity with the optional entityId query parameter in the request. In that case, the request applies to all source entities linked to the specific golden record.

Additional Information: If you remove a source entity for a source that accepts channel updates, a Pending link indicates that the source could receive a channel update for the golden record but currently, it is not linked. A Pending status does not indicate there is an action waiting to be performed.

You cannot unlink the source entity if it is the only contributing source linked to a golden record. Before removing the source entity, configure another source to contribute data.

Note: It is not possible to remove links to non-contributing sources, pending links, or a golden record's sole established link.

Note: You can implement requests for this operation in processes using the HTTP Client connector, as demonstrated by the sample process Hub: Unlink Golden Record From Source, which you can install in your account from the process library in Integration.

Security Requirements: You must have one of the following MDM privileges:

Without Advanced Security:

  • MDM - Source Management and MDM - Stewardship OR
  • MDM - Source Management and MDM - Stewardship Management
Authorizations:
basicAuthbearerAuth
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

sourceId
any
Example: CRM_SYSTEM

Source ID. The source ID is listed on the Sources page in the user interface.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

entityId
any
Example: entityId=CUST_12345

ID of the source entity for which you request unlinking. Case-sensitive. If omitted, applies to all source entities linked to the golden record. Must be URL encoded if it contains special characters.

Responses

Response samples

Content type
application/xml
<?xml version="1.0" encoding="UTF-8"?>
<error>
  <message>Invalid request parameters or format</message>
</error>

Swap Entity ID

The Swap Entity ID operation replaces a golden record's current source entity ID for a given source with a new entity ID.

Additional Information: Important: Both originalEntityId and newEntityId must be URL encoded if they contain special characters. This operation updates the entity identifier while maintaining the link to the same golden record.

Security Requirements: You must have one of the following MDM privileges:

Without Advanced Security:

  • MDM - Stewardship Management OR
  • MDM - Stewardship
Authorizations:
basicAuthbearerAuth
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

sourceId
any
Example: CRM_SYSTEM

Source ID. The source ID is listed on the Sources page in the user interface.

originalEntityId
any
Example: CUST_12345

ID of the source entity associated with the golden record. Must be URL encoded if it contains special characters.

newEntityId
any
Example: CUST_67890

ID of the source entity to replace the original entity ID. Must be URL encoded if it contains special characters.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
string

Response samples

Content type
application/xml
string

Post Reset Agreements

The Post Reset Agreements operation deletes field-level source agreements for individual records. This operation is used to unblock updates when records are stuck due to prior ranking exceptions, removed sources, or stale agreement data.

By default, the operation resets all agreements for a record. You can optionally limit the scope of the reset to a specific source, a specific field, or a specific field and source combination.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the Edit Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_EDIT)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

recordId
any
Example: 0fc4eb6d-f12c-4cdd-ba37-5475caed4887

Record ID

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

sourceId
any
Example: sourceId=CRM_SYSTEM

Source ID. The source ID is listed on the Sources page in the user interface.

fieldUniqueId
any
Example: fieldUniqueId=FIRST_NAME

uniqueId of the field.

Responses

Response samples

Content type
application/xml
<?xml version="1.0" encoding="UTF-8"?>
<error>
  <message>Invalid request parameters or format</message>
</error>

Get Golden Record for Source Entity

The Get Golden Record for Source Entity operation retrieves the entity corresponding to the golden record linked to a source entity in a universe (domain) under the authenticated account.

Security Requirements: You must have one of the following MDM privileges:

With the Advanced Security feature on your account:

  • MDM - Stewardship with the View Records Hub role entitlement for the queried repository OR
  • MDM - Stewardship Management

Without Advanced Security:

  • MDM - Stewardship OR
  • MDM - View Data OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuthmdmEntitlement (RECORD_VIEW)
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

sourceId
any
Example: CRM_SYSTEM

Source ID. The source ID is listed on the Sources page in the user interface.

entityId
any
Example: CUST_12345

ID of the source entity. Must be URL encoded if it contains special characters.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
createddate
string

Creation timestamp of the record

grid
string

Golden record ID (UUID)

updateddate
string

Last update timestamp of the record

source
string

Source system identifier

property name*
additional property
object

Record field data - varies based on universe schema

Response samples

Content type
application/xml
<?xml version="1.0" encoding="UTF-8"?>
<customer createddate="2025-07-22T18:00:56.000+0000" grid="3fccb7ed-7b36-4a2b-bf96-7d6ed220e2f8" updateddate="2025-07-22T18:00:56.000+0000" source="CRM_SYSTEM">
    <id>3fccb7ed-7b36-4a2b-bf96-7d6ed220e2f8</id>
    <name>John Doe</name>
    <email>john.doe@example.com</email>
</customer>